﻿

namespace HeuristicLab.Algorithms.DataAnalysis.MctsSymbolicRegression {
  // no constraints
  internal class EmptyConstraintHandler : IConstraintHandler {
    public bool IsInvalidExpression {
      get {
        return false;
      }
    }

    public EmptyConstraintHandler() {
    }

    public void AddVarToCurrentFactor(int state) {
    }

    public void EndFactor() {
      // ignore
    }

    public void EndTerm() {
      // ignore
    }

    public bool IsAllowedFollowState(int currentState, int followState) {
      return true;
    }

    public void Reset() {
    }

    public void StartFactor(int state) {
      // ignore
    }

    public void StartNewTermInPoly() {
      // ignore
    }

    public void StartTerm() {
      // ignore
    }
  }
}
